/*********************************
 VBPEExportTo

 An intermidate function to allow VB users
 to call PEExportTo.

 This function will only allow the user to
 export to disk and if the formatoptions structure
 is 0.

 Written by Mike Strobel, Feb 14, 1994.
**********************************/

#include <windows.h>
#include <string.h>
#include "crpe.h"
#include "uxddisk.h"
#include "uxfcr.h"
#include "uxfdoc.h"
#include "uxfrtf.h"
#include "uxftext.h"
#include "uxfwks.h"
#include "uxfxls.h"


int FAR PASCAL LibMain (HANDLE hInstance, WORD wDataSeg, WORD wHeapSize, LPSTR cmdline)
{
   return 1;
}

int CALLBACK WEP (int nParam)
{
   return 1;
}

int FAR PASCAL VBPEExportTo (short job, char FAR * dllname, DWORD ftype, char FAR *outputfn)
{
   struct PEExportOptions exportoptions;
   UXDDiskOptions diskoptions;

//   MessageBox (0, outputfn, "Filename", MB_OK);
   diskoptions.structSize = sizeof (UXDDiskOptions);
//   MessageBox (0, outputfn, "Filename", MB_OK);
   diskoptions.fileName = outputfn;

//   MessageBox (0, dllname, "DLLname", MB_OK);
   exportoptions.StructSize = sizeof (exportoptions);
   strcpy (exportoptions.formatDLLName, dllname);
   exportoptions.formatType = ftype;
   exportoptions.formatOptions = 0;
   strcpy (exportoptions.destinationDLLName, "uxddisk.dll");
   exportoptions.destinationType = UXDDiskType;
   exportoptions.destinationOptions = &diskoptions;

   if (PEExportTo(job, &exportoptions))
      return PEStartPrintJob(job, TRUE);
   else
      return PEGetErrorCode(job);
}